<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__data__structures" kind="group">
    <compoundname>group_scb_uart_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__scb__uart__config__t">cy_stc_scb_uart_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__scb__uart__context__t">cy_stc_scb_uart_context_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__scb__uart__data__structures_1ga67e5d87e39311f4d001723f8718210c6" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(*  cy_cb_scb_uart_handle_events_t) (uint32_t event)</definition>
        <argsstring>)(uint32_t event)</argsstring>
        <name>cy_cb_scb_uart_handle_events_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function called in the <ref kindref="member" refid="group__group__scb__uart__interrupt__functions_1ga3e1928d8f20b2685aad02df29b658e3f">Cy_SCB_UART_Interrupt</ref> to notify the user about occurrences of <ref kindref="compound" refid="group__group__scb__uart__macros__callback__events">UART Callback Events</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="380" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="380" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>